Name:            amsynth
Version:         1.7.0
Release:         %mkrel 1

Summary:        Virtual-analog polyphonic synthesizer for ALSA, OSS and JACK
Source:         http://%{name}.googlecode.com/files/amsynth-%{version}.tar.xz
URL:            http://code.google.com/p/%{name}
License:        GPLv2
Group:          Sound
#-----------------------------------------------------------
BuildRequires: dssi-devel
BuildRequires: ladspa-devel 
BuildRequires: lv2-devel
BuildRequires: %{_lib}alsa2-devel 
BuildRequires: %{_lib}atk1.0-devel 
BuildRequires: %{_lib}atkmm1.6-devel
BuildRequires: %{_lib}cairo-devel 
BuildRequires: %{_lib}cairomm1.0-devel 
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel 
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel 
BuildRequires: %{_lib}glib2.0-devel 
BuildRequires: %{_lib}glibmm2.4-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtkmm2.4-devel 
BuildRequires: %{_lib}jack-devel 
BuildRequires: %{_lib}lo-devel 
BuildRequires: %{_lib}pango1.0-devel 
BuildRequires: %{_lib}pangomm2.4-devel 
BuildRequires: %{_lib}sndfile-devel
BuildRequires: %{_lib}x11-devel 
BuildRequires: intltool
BuildRequires: %{_lib}lash2-devel
#-----------------------------------------------------------

%description
AmSynth is a standalone polyphonic subtractive synthesizer. It supports
OSS, ALSA and JACK for Audio and MIDI I/O. Features are as follows.

o Dual oscillators with classic waveforms - sine / saw / square / noise
o 24 dB/oct low-pass resonant filter
o Independent ADSR envelopes for filter & amplitude
o LFO which can module the oscillators, filter, and amplitude
o Distortion effect
o Reverb


%prep
%setup -q

%build
%configure2_5x CXXFLAGS='-std=c++11' --libdir=%{_libdir}
%make

%install
rm -rf %buildroot
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR
  
%files
%defattr(-,root,root)
%doc README AUTHORS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*
%{_libdir}/dssi/%{name}_dssi.so
%{_libdir}/dssi/%{name}_dssi/%{name}_dssi_gtk
%{_libdir}/lv2/%{name}.lv2/*
%{_libdir}/vst/amsynth_vst.so
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%changelog
* Fri Feb 03 2017 adrianomorselli <adrianomorselli> 1.7.0-1uplos2017
- rebuild

* Sat Oct 08 2016 Ken <lxgator at gmail.com> 1.7.0-1pclos2016
- update

* Sat May 23 2015 gseaman <galen.seaman at comcast.net> 1.5.1-1gseaman2015
- import into pclos
